package com.om.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class AppVO {
    @ApiModelProperty(value = "客户端id")
    int id;
    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "上传人")
    private String admin;

    @ApiModelProperty(value = "客户端编号")
    private String[] clientNums;

    @ApiModelProperty(value = "客户端名称集合")
    private String[] clientNames;

    @ApiModelProperty(value = "语言描述")
    private String[] description;

    @ApiModelProperty(value = "语言")
    private String[] language;

    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime releaseTime;

    @ApiModelProperty(value = "保存路径")
    private String savePath;

    @ApiModelProperty(value = "SDK版本ID")
    private Integer sdkId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "版本编号")
    private String versionNum;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;

}
