package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-05
 */
@Data
@NoArgsConstructor
public class BrushVO implements Serializable {


    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "刷写文件名称")
    private String brushFileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "品牌编号")
    private String brandCode;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ApiModelProperty(value = "状态，1：启用  0：禁用")
    private Integer status;

    @ApiModelProperty(value = "多语言描述")
    private List<BrushDescriptionVO> descriptions;


}
